- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisBranchStrategyMaxInf Class Reference

This class implements maximum infeasibility branching. More...

`#include <BlisBranchStrategyMaxInf.h>`

Inheritance diagram for BlisBranchStrategyMaxInf:

[legend]
Collaboration diagram for BlisBranchStrategyMaxInf:

[legend]
List of all members.

## Public Member Functions
| BlisBranchStrategyMaxInf ()
| MaxInf Constructor.
| BlisBranchStrategyMaxInf (BlisModel *model)
| MaxInf Constructor.
virtual | ~BlisBranchStrategyMaxInf ()
| Destructor.
| BlisBranchStrategyMaxInf (const BlisBranchStrategyMaxInf &)
| Copy constructor.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | createCandBranchObjects (int numPassesLeft)
| Create a set of candidate branching objects.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
## Private Member Functions
BlisBranchStrategyMaxInf & | operator= (const BlisBranchStrategyMaxInf &rhs)
| Illegal Assignment operator.

## Detailed Description

This class implements maximum infeasibility branching.

Definition at line 32 of file BlisBranchStrategyMaxInf.h.

## Constructor & Destructor Documentation

BlisBranchStrategyMaxInf::BlisBranchStrategyMaxInf | ( |  | ) | `[inline]`

MaxInf Constructor.

Definition at line 42 of file BlisBranchStrategyMaxInf.h.

Referenced by clone().

BlisBranchStrategyMaxInf::BlisBranchStrategyMaxInf | ( | BlisModel * | model | ) | `[inline]`

MaxInf Constructor.

Definition at line 45 of file BlisBranchStrategyMaxInf.h.

virtual BlisBranchStrategyMaxInf::~BlisBranchStrategyMaxInf | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 50 of file BlisBranchStrategyMaxInf.h.

BlisBranchStrategyMaxInf::BlisBranchStrategyMaxInf | ( | const BlisBranchStrategyMaxInf & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyMaxInf& BlisBranchStrategyMaxInf::operator= | ( | const BlisBranchStrategyMaxInf & | rhs | ) | `[private]`

Illegal Assignment operator.

virtual BcpsBranchStrategy* BlisBranchStrategyMaxInf::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 56 of file BlisBranchStrategyMaxInf.h.

References BlisBranchStrategyMaxInf().

virtual int BlisBranchStrategyMaxInf::createCandBranchObjects | ( | int | numPassesLeft | ) | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

virtual int BlisBranchStrategyMaxInf::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Blis/src/BlisBranchStrategyMaxInf.h